cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bhais...@apache.org
Subject [2/6] git commit: updated refs/heads/master to 45a746a
Date Mon, 05 Dec 2016 09:46:47 GMT
CLOUDSTACK-9648: Fix release script to update checkstyle pom

This fixes build_asf.sh release script to update checkstyle pom.xml with the
provided new version.

Signed-off-by: Rohit Yadav <rohit.yadav@shapeblue.com>


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/77d29844
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/77d29844
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/77d29844

Branch: refs/heads/master
Commit: 77d2984494aa5fb32662c990503ae4f251fc4c6f
Parents: b57d0ae
Author: Rohit Yadav <rohit.yadav@shapeblue.com>
Authored: Fri Dec 2 13:23:41 2016 +0530
Committer: Rohit Yadav <rohit.yadav@shapeblue.com>
Committed: Fri Dec 2 13:23:41 2016 +0530

----------------------------------------------------------------------
 tools/build/build_asf.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/77d29844/tools/build/build_asf.sh
----------------------------------------------------------------------
diff --git a/tools/build/build_asf.sh b/tools/build/build_asf.sh
index 7c8ab71..75eac69 100755
--- a/tools/build/build_asf.sh
+++ b/tools/build/build_asf.sh
@@ -90,10 +90,11 @@ export currentversion=`mvn org.apache.maven.plugins:maven-help-plugin:2.1.1:eval
 echo "found $currentversion"
 
 echo 'setting version numbers'
-mvn versions:set -DnewVersion=$version -P vmware -P developer -P systemvm -P simulator -P
baremetal -P ucs -Dnoredist
+
+mvn versions:set -DnewVersion=$version -P developer,systemvm -Dnoredist -Dsimulator
+mvn versions:set -DnewVersion=$version -pl tools/checkstyle
 mv deps/XenServerJava/pom.xml.versionsBackup deps/XenServerJava/pom.xml
 perl -pi -e "s/<cs.xapi.version>6.2.0-1-SNAPSHOT<\/cs.xapi.version>/<cs.xapi.version>6.2.0-1<\/cs.xapi.version>/"
pom.xml
-perl -pi -e "s/-SNAPSHOT//" tools/checkstyle/pom.xml
 perl -pi -e "s/-SNAPSHOT//" deps/XenServerJava/pom.xml
 perl -pi -e "s/-SNAPSHOT//" tools/apidoc/pom.xml
 perl -pi -e "s/-SNAPSHOT//" Dockerfile


Mime
View raw message